-- case and null if

create function plpgsqlfunc12 () returns integer as '

  declare

    v1_int integer := 0;
    v2_int integer := 5;
    v3_int integer := 9;

  begin

    v1_int := case
               when v2_int > 5 -- should not be the case
                 then 1000
               when v2_int = 5 -- should be the case
                 then v2_int
               else v3_int     -- should not be the case
              end;

    raise notice ''v1_int is %'', v1_int;

    v2_int := NULLIF (v1_int, 5);
    v3_int := NULLIF (v1_int, 3000);

    raise notice ''v2_int is %'', v2_int;
    raise notice ''v3_int is %'', v3_int;

    return v1_int;
  end;
  '
  language 'plpgsql';

  select plpgsqlfunc12();
  drop function plpgsqlfunc12();
